//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Engine
//
// File: Application\CWinUtil.h
//
//-------------------------------------------------------------------------------------------------

#ifndef CWINUTIL_H
#define CWINUTIL_H

#include "CWinData.h"
#include "..\Globals\CGlobals.h"

namespace App
{
	// CCursor class
	// Class for handling cursor locking, unlocking, and visibility.
	class CCursor
	{
	public:
		static void							CenterCursor(const RECT& screenRect);
		static void							HideCursor(bool hide);

	private:
		static bool							m_bCursorHidden;
	};

	// CScreen class
	// Class for retrieving info about the current screen state.
	class CScreen
	{
	public:
		static bool							InFocus(HWND hWnd);
	};
};

#endif