//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Engine
//
// File: Graphics\CDebugCircle.h
//
//-------------------------------------------------------------------------------------------------

#ifndef CDEBUGCIRCLE_H
#define CDEBUGCIRCLE_H

#include "CDebugBase.h"

namespace GFX
{
	// CDebugCircle class.
	// Class for creating and rendering a line-list circle.
	class CDebugCircle : public CDebugBase
	{
	public:
		CDebugCircle();
		CDebugCircle(const CDebugCircle& other);
		virtual ~CDebugCircle();

		void								SetupCircle(float radius, bool _2dMode = true, u32 iterations = 24);

		int									Initialize();

	private:
		bool								m_b2DMode;
		u32									m_iterations;
		float								m_radius;
	};
};

#endif