//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Engine
//
// File: UI\CUILabel.h
//
//-------------------------------------------------------------------------------------------------

#ifndef CUILABEL_H
#define CUILABEL_H

#include "CUIObject.h"

namespace UI
{
	// CLabel class.
	// Class for creating UI label.
	class CLabel : public CUIObject
	{
	public:
		CLabel();
		CLabel(const CLabel& other);
		virtual ~CLabel();

		int									PrintLabel(const std::string& text, const Math::CVector3& position, float size, const Math::CColor& color, const UI_HALIGN& hAlign, const UI_VALIGN& vAlign);
		
		inline void							FontRenderer(CFontRenderer* font);

	protected:
	private:
	};

	// Font renderer setter.
	inline void CLabel::FontRenderer(CFontRenderer* font)
	{
		m_pFont = font;
	}
};

#endif