//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Project II
//
// File: Utilities\CGameError.h
//
//-------------------------------------------------------------------------------------------------

#ifndef CGAMEERROR_H
#define CGAMEERROR_H

#include <Utilities\CDebugError.h>

namespace Util
{
	// CGameLog class
	// Extended error log class, for errors that might occur in this application.
	class CGameLog : public CErrorLog
	{
	public:
		CGameLog();
		CGameLog(const CGameLog& other);
		virtual ~CGameLog();

	protected:
		void								ExtendedFindError(int code, std::string& errorMsg) override;
	};
};

#endif