//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Engine
//
// File: Graphics\CDebugRay.h
//
//-------------------------------------------------------------------------------------------------

#ifndef CDEBUGRAY_H
#define CDEBUGRAY_H

#include "CDebugBase.h"
#include "..\Math\CMathRay.h"

namespace GFX
{
	// CDebugGrid class.
	// Class for creating and rendering a line-list ray.
	class CDebugRay : public CDebugBase
	{
	public:
		CDebugRay();
		CDebugRay(const CDebugRay& other);
		virtual ~CDebugRay();

		int									Initialize() override;
		int									Render() override;
		
		Math::CRay							m_ray;

	private:
	};
};

#endif