//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Engine
//
// File: Utilities\CDebugLog.h
//
//-------------------------------------------------------------------------------------------------

#ifndef CDEBUGLOG_H
#define CDEBUGLOG_H

#include <Windows.h>
#include <string>

namespace Util
{
	// Functions for displaying a log message on the console of the compiler.

	inline void Log(char* msg)
	{
		OutputDebugString(msg);
		OutputDebugString("\n");
	}

	inline void Log(const std::string& msg)
	{
		OutputDebugString(msg.c_str());
		OutputDebugString("\n");
	}
};

#endif